Public Attributes | List of all members
_ll_dma_init Struct Reference
Peripheral Driver » LL Driver » DMA » Structures » DMA Exported init structures

LL DMA init Structure definition. More...

`#include <gr55xx_ll_dma.h>`

## Public Attributes
uint32_t | src_address
uint32_t | dst_address
uint32_t | direction
uint32_t | mode
uint32_t | src_increment_mode
uint32_t | dst_increment_mode
uint32_t | src_data_width
uint32_t | dst_data_width
uint32_t | block_size
uint32_t | src_peripheral
uint32_t | dst_peripheral
uint32_t | priority

## Detailed Description

LL DMA init Structure definition.

Definition at line 76 of file gr55xx_ll_dma.h.

## Member Data Documentation

## ◆ block_size

uint32_t _ll_dma_init::block_size

Specifies the number of data to transfer, in data unit. The data unit is equal to the source buffer configuration set in src_data_width parameters. This parameter must be a value between Min_Data = 0 and Max_Data = 0x1FF

This feature can be modified afterwards using unitary function ll_dma_set_block_size().

Definition at line 119 of file gr55xx_ll_dma.h.

## ◆ direction

uint32_t _ll_dma_init::direction

Specifies if the data will be transferred from memory to peripheral, from memory to memory or from peripheral to memory or form peripheral to peripheral. This parameter can be a value of Transfer Direction

This feature can be modified afterwards using unitary function ll_dma_set_data_transfer_direction().

Definition at line 86 of file gr55xx_ll_dma.h.

## ◆ dst_address

uint32_t _ll_dma_init::dst_address

Specifies the Destination base address for DMA transfer.

This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 82 of file gr55xx_ll_dma.h.

## ◆ dst_data_width

uint32_t _ll_dma_init::dst_data_width

Specifies the Destination transfer width alignment(byte, half word, word). This parameter can be a value of Destination data alignment

This feature can be modified afterwards using unitary function ll_dma_set_destination_width().

Definition at line 114 of file gr55xx_ll_dma.h.

## ◆ dst_increment_mode

uint32_t _ll_dma_init::dst_increment_mode

Specifies whether the Destination address is incremented or decrement or not. This parameter can be a value of Destination increment mode

This feature can be modified afterwards using unitary function ll_dma_set_destination_increment_mode().

Definition at line 104 of file gr55xx_ll_dma.h.

## ◆ dst_peripheral

uint32_t _ll_dma_init::dst_peripheral

Specifies the Destination peripheral type. This parameter can be a value of DMA Peripheral type

This feature can be modified afterwards using unitary function ll_dma_set_destination_peripheral().

Definition at line 130 of file gr55xx_ll_dma.h.

## ◆ mode

uint32_t _ll_dma_init::mode

Specifies the Single block or Multi-block operation mode. This parameter can be a value of Transfer mode

Note
  : The circular buffer mode cannot be used if the memory to memory data transfer direction is configured on the selected Channel

This feature can be modified afterwards using unitary function ll_dma_set_mode().

Definition at line 92 of file gr55xx_ll_dma.h.

## ◆ priority

uint32_t _ll_dma_init::priority

Specifies the channel priority level. This parameter can be a value of Transfer Priority level

This feature can be modified afterwards using unitary function ll_dma_set_channel_priority_level().

Definition at line 135 of file gr55xx_ll_dma.h.

## ◆ src_address

uint32_t _ll_dma_init::src_address

Specifies the Source base address for DMA transfer.

This parameter must be a value between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 78 of file gr55xx_ll_dma.h.

## ◆ src_data_width

uint32_t _ll_dma_init::src_data_width

Specifies the Souce transfer width alignment(byte, half word, word). This parameter can be a value of Source data alignment

This feature can be modified afterwards using unitary function ll_dma_set_source_width().

Definition at line 109 of file gr55xx_ll_dma.h.

## ◆ src_increment_mode

uint32_t _ll_dma_init::src_increment_mode

Specifies whether the Source address is incremented or decrement or not. This parameter can be a value of Source increment mode

This feature can be modified afterwards using unitary function ll_dma_set_source_increment_mode().

Definition at line 99 of file gr55xx_ll_dma.h.

## ◆ src_peripheral

uint32_t _ll_dma_init::src_peripheral

Specifies the Source peripheral type. This parameter can be a value of DMA Peripheral type

This feature can be modified afterwards using unitary function ll_dma_set_source_peripheral().

Definition at line 125 of file gr55xx_ll_dma.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_dma.h